classification
Title: Remove dependency on tests.txt when running test_asyncio suite
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: gvanrossum, haypo, python-dev, vajrasky, yselivanov
Priority: normal Keywords: patch

Created on 2014-02-18 04:45 by vajrasky, last changed 2014-03-31 15:42 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
automatic_find_tests_inside_asyncio_test_suite.patch vajrasky, 2014-02-18 04:45 review
Messages (10)
msg211477 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2014-02-18 04:45
We can run the whole asyncio tests by using this command:
./python -m test.test_asyncio

But this way depends on the Lib/test/test_asyncio/tests.txt which contains all the tests that need to be executed. The problem is the core developer may forget to modify the tests.txt if he/she wants to add new test in asyncio test suite. Guido may not forget about it. But Victor forgot to modify the tests.txt when he added test_subprocess.py in asyncio tests suite.

So the proposed patch removes dependency on tests.txt file. When core developers add new test in asyncio tests suite, they just need to add the new file in test_asyncio directory itself. This patch was inspired by Lib/test/test_json/__init__.py.
msg211478 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-02-18 06:05
Thanks, LGTM. Please commit and add to issue 20648.
msg211706 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-02-20 07:08
Please wait until after 3.4 release. Not critical.

On Wednesday, February 19, 2014, Yury Selivanov <report@bugs.python.org>
wrote:

>
> Changes by Yury Selivanov <yselivanov.ml@gmail.com <javascript:;>>:
>
>
> ----------
> nosy: +yselivanov
>
> _______________________________________
> Python tracker <report@bugs.python.org <javascript:;>>
> <http://bugs.python.org/issue20668>
> _______________________________________
>
msg211707 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-02-20 07:10
> Please wait until after 3.4 release. Not critical.
I'll assign this to myself to commit this after 3.4.
msg214964 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-27 16:22
New changeset bcc77493249c by Yury Selivanov in branch 'default':
asyncio.tests: Autodiscover asyncio tests. Patch by Vajrasky Kok. Closes #20668
http://hg.python.org/cpython/rev/bcc77493249c
msg214971 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-03-27 17:21
I think this is reasonable to also commit to the 3.4 branch so it will appear in 3.4.1.
msg214983 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-27 22:05
New changeset 07984815003f by Yury Selivanov in branch '3.4':
asyncio.tests: Autodiscover asyncio tests. Patch by Vajrasky Kok. Closes #20668
http://hg.python.org/cpython/rev/07984815003f
msg214984 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-03-27 22:06
Guido, good idea. Committed.
msg215244 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2014-03-31 15:38
Thanks for committing my patch, Yury. But you forgot to remove Lib/test/test_asyncio/tests.txt.
msg215245 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-31 15:42
New changeset bf661f72aaab by Victor Stinner in branch '3.4':
Issue #20668: Remove tests.txt of test_asyncio
http://hg.python.org/cpython/rev/bf661f72aaab

New changeset a76e459e09be by Victor Stinner in branch 'default':
(Merge 3.4) Issue #20668: Remove tests.txt of test_asyncio
http://hg.python.org/cpython/rev/a76e459e09be
History
Date User Action Args
2014-03-31 15:42:55python-devsetmessages: + msg215245
2014-03-31 15:38:56vajraskysetmessages: + msg215244
2014-03-27 22:06:16yselivanovsetmessages: + msg214984
2014-03-27 22:05:39python-devsetmessages: + msg214983
2014-03-27 17:21:46gvanrossumsetmessages: + msg214971
2014-03-27 16:22:00python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg214964

resolution: fixed
stage: resolved
2014-02-20 07:10:25yselivanovsetassignee: yselivanov
messages: + msg211707
2014-02-20 07:08:47gvanrossumsetmessages: + msg211706
2014-02-20 07:08:08yselivanovsetnosy: + yselivanov
2014-02-18 06:05:41gvanrossumsetmessages: + msg211478
2014-02-18 04:45:42vajraskycreate